footer {
  background-color: #ffe676;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  height: 55vh;
}

.container-principal {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  height: 45vh;
  gap: 10%;
  h4 {
    font-size: 15px;
  }
}

.container-links {
  width: 60%;
  height: 45vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.caixa-links {
  display: flex;
  justify-content: flex-start;
  align-items: start;
  flex-direction: column;
  gap: 10%;
  width: 33%;
  height: 30vh;
}

.caixa-links h4 {
  color: #fff;
  font-size: 1.4rem;
}

.caixa-links a {
  text-decoration: none;
  color: #000;
  font: 1.2rem;
}

.caixa-links a:hover {
  color: #636363;
  font: 1.2rem;
}

.footer-end {
  display: flex;
  flex-direction: row;
  width: 100%;
  height: 10vh;
  align-items: center;
  justify-content: end;
  gap: 30%;
  border-top: 1px solid #000;
  p {
    margin-left: 32%;
  }
}

.footer-end img {
  height: 50px;
}

.footer-end p {
  font-size: 1.2rem;
}
